Name:          fwupd
Version:       1.9.24
Release:       1mamba
Summary:       A simple daemon to allow session software to update firmware
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://fwupd.org/
Source:        https://github.com/fwupd/fwupd.git/%{version}/fwupd-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libcurl-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgudev-devel
BuildRequires: libgusb-devel
BuildRequires: libjcat-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblzma-devel
BuildRequires: libmbim-devel
BuildRequires: libmm-devel
BuildRequires: libpolkit-devel
BuildRequires: libprotobuf-c-devel
BuildRequires: libqmi-devel
BuildRequires: libsqlite-devel
BuildRequires: libsystemd-devel
BuildRequires: libtss2-devel
BuildRequires: libxmlb-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libxmlb-devel >= 0.3.0-1mamba
BuildRequires: libtss2-devel
BuildRequires: fwupd-efi
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A simple daemon to allow session software to update firmware.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#-D -T
sed -i 's,wheel,sysadmin,' policy/org.freedesktop.fwupd*.rules

%build
%meson \
    -D plugin_intel_spi=true \
    -D supported_build=enabled

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pretrans -p <lua>
-- Define the path to directory being replaced below.
-- DO NOT add a trailing slash at the end.
path = "/usr/share/doc/fwupd/libfwupd"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end
path = "/usr/share/doc/fwupd/libfwupdplugin"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end

%preun
%systemd_preun %{name}
:

%post
%sysusers_create %{name}
%systemd_post %{name}
:

%postun
%systemd_postun %{name}
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/fwupd
%dir %{_sysconfdir}/fwupd/bios-settings.d
%{_sysconfdir}/fwupd/bios-settings.d/README.md
%config %{_sysconfdir}/fwupd/fwupd.conf
%dir %{_sysconfdir}/fwupd/remotes.d
%config %{_sysconfdir}/fwupd/remotes.d/*.conf
%dir %{_sysconfdir}/pki/fwupd-metadata
%{_sysconfdir}/pki/fwupd-metadata/*
%dir %{_sysconfdir}/pki/fwupd
%{_sysconfdir}/pki/fwupd/*
%{_sysconfdir}/grub.d/35_fwupd
%{_bindir}/dbxtool
%{_bindir}/fwupdtool
%{_systemd_util_dir}/system-shutdown/fwupd.shutdown
%{_modulesloaddir}/fwupd-msr.conf
%{_sysusersdir}/fwupd.conf
%{_unitdir}/fwupd-offline-update.service
%{_unitdir}/fwupd.service
%{_unitdir}/fwupd-refresh.service
%{_unitdir}/fwupd-refresh.timer
%{_unitdir}/system-update.target.wants/fwupd-offline-update.service
%{_udevrulesdir}/90-fwupd-devices.rules
%{_bindir}/fwupdmgr
%{_datadir}/bash-completion/completions/fwupdmgr
%{_datadir}/bash-completion/completions/fwupdtool
%{_datadir}/dbus-1/interfaces/org.freedesktop.fwupd.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.fwupd.service
%{_datadir}/dbus-1/system.d/org.freedesktop.fwupd.conf
%{_datadir}/fish/vendor_completions.d/fwupdmgr.fish
%dir %{_datadir}/fwupd
%{_datadir}/fwupd/*
%{_datadir}/icons/hicolor/scalable/apps/org.freedesktop.fwupd.svg
%{_datadir}/metainfo/org.freedesktop.fwupd.metainfo.xml
%{_datadir}/polkit-1/actions/org.freedesktop.fwupd.policy
%{_datadir}/polkit-1/rules.d/org.freedesktop.fwupd.rules
%{_datadir}/vala/vapi/fwupd.deps
%{_datadir}/vala/vapi/fwupd.vapi
%{_mandir}/man1/dbxtool.1*
%{_mandir}/man1/fwupdmgr.1*
%{_mandir}/man1/fwupdtool.1*
%{_mandir}/man5/fwupd-remotes.d.5*
%{_mandir}/man5/fwupd.conf.5*
%{_mandir}/man8/fwupd-refresh.service.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfwupd.so.*
%dir %{_libdir}/fwupd-%{version}
%{_libdir}/fwupd-%{version}/lib*.so
%{_libdir}/girepository-1.0/Fwupd-2.0.typelib
%dir %{_libexecdir}/fwupd
%{_libexecdir}/fwupd/fwupd*
%dir %{_libexecdir}/installed-tests/fwupd
%{_libexecdir}/installed-tests/fwupd/*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/fwupd-1
%{_includedir}/fwupd-1/*.h
%dir %{_includedir}/fwupd-1/libfwupd
%{_includedir}/fwupd-1/libfwupd/*.h
%{_libdir}/libfwupd.so
%{_libdir}/pkgconfig/fwupd.pc
%{_datadir}/gir-1.0/Fwupd-2.0.gir
%dir %{_datadir}/installed-tests/fwupd
%{_datadir}/installed-tests/fwupd/*
%dir %{_docdir}/fwupd
%{_docdir}/fwupd/*
%dir %{_docdir}/libfwupd
%{_docdir}/libfwupd/*
%dir %{_docdir}/libfwupdplugin
%{_docdir}/libfwupdplugin/*
#%doc README.md

%changelog
* Thu Aug 22 2024 Automatic Build System <autodist@openmamba.org> 1.9.24-1mamba
- automatic version update by autodist

* Tue Aug 06 2024 Automatic Build System <autodist@openmamba.org> 1.9.23-1mamba
- automatic version update by autodist

* Sun Jul 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.22-1mamba
- update to 1.9.22

* Fri Jun 14 2024 Automatic Build System <autodist@openmamba.org> 1.9.21-1mamba
- automatic version update by autodist

* Sat Jun 08 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.20-2mamba
- replace group name wheel with sysadmin in polkit rule file

* Tue May 21 2024 Automatic Build System <autodist@openmamba.org> 1.9.20-1mamba
- automatic version update by autodist

* Sat May 04 2024 Automatic Build System <autodist@openmamba.org> 1.9.19-1mamba
- automatic version update by autodist

* Sat Apr 06 2024 Automatic Build System <autodist@openmamba.org> 1.9.16-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 1.9.15-1mamba
- automatic version update by autodist

* Tue Feb 27 2024 Automatic Build System <autodist@openmamba.org> 1.9.14-1mamba
- automatic version update by autodist

* Fri Feb 09 2024 Automatic Build System <autodist@openmamba.org> 1.9.13-1mamba
- automatic version update by autodist

* Wed Jan 24 2024 Automatic Build System <autodist@openmamba.org> 1.9.12-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 1.9.11-1mamba
- automatic version update by autodist

* Mon Dec 04 2023 Automatic Build System <autodist@mambasoft.it> 1.9.10-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 1.9.9-1mamba
- automatic version update by autodist

* Wed Nov 15 2023 Automatic Build System <autodist@mambasoft.it> 1.9.8-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Automatic Build System <autodist@mambasoft.it> 1.9.7-1mamba
- automatic version update by autodist

* Sun Oct 08 2023 Automatic Build System <autodist@mambasoft.it> 1.9.6-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 1.9.5-1mamba
- automatic version update by autodist

* Tue Aug 22 2023 Automatic Build System <autodist@mambasoft.it> 1.9.4-1mamba
- automatic version update by autodist

* Wed Jul 12 2023 Automatic Build System <autodist@mambasoft.it> 1.9.3-1mamba
- automatic version update by autodist

* Tue May 30 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-1mamba
- update to 1.9.1

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 1.8.15-1mamba
- automatic version update by autodist

* Fri Mar 31 2023 Automatic Build System <autodist@mambasoft.it> 1.8.14-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 1.8.13-1mamba
- automatic version update by autodist

* Sat Feb 25 2023 Automatic Build System <autodist@mambasoft.it> 1.8.12-1mamba
- automatic version update by autodist

* Tue Jan 24 2023 Automatic Build System <autodist@mambasoft.it> 1.8.10-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 1.8.9-1mamba
- automatic version update by autodist

* Thu Dec 08 2022 Automatic Build System <autodist@mambasoft.it> 1.8.8-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 1.8.7-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 1.8.6-1mamba
- automatic version update by autodist

* Fri Sep 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.5-2mamba
- add a pretrans script to fix upgrading dirs to symlinks in docs directory

* Mon Sep 26 2022 Automatic Build System <autodist@mambasoft.it> 1.8.5-1mamba
- automatic version update by autodist

* Fri May 27 2022 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Mon May 09 2022 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Mon Apr 18 2022 Automatic Build System <autodist@mambasoft.it> 1.7.7-1mamba
- automatic version update by autodist

* Tue Feb 08 2022 Automatic Build System <autodist@mambasoft.it> 1.7.5-1mamba
- automatic version update by autodist

* Fri Jan 14 2022 Automatic Build System <autodist@mambasoft.it> 1.7.4-1mamba
- automatic version update by autodist

* Fri Dec 31 2021 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.9-2mamba
- rebuilt with systemd 248

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 1.5.9-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 1.5.8-1mamba
- automatic version update by autodist

* Tue Mar 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.7-2mamba
- rebuilt by autoport with build requirements: libxmlb-devel>=0.3.0-1mamba

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 1.5.7-1mamba
- automatic version update by autodist

* Thu Feb 18 2021 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 1.5.5-1mamba
- automatic version update by autodist

* Sat Jan 02 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.4-1mamba
- update to 1.5.4

* Sat Aug 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-2mamba
- move /etc/dbus-1/system.d/org.freedesktop.fwupd.conf from -devel to main package

* Sat Jul 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.10-1mamba
- package created using the webbuild interface
